# Tests temporarily disabled due to https://github.com/aws/aws-cli/issues/1742 
%global with_tests 0

Name:           aws-shell
Version:        0.1.1
Release:        7%{?dist}
Summary:        AWS Shell

License:        ASL 2.0
URL:            https://github.com/awslabs/aws-shell
Source0:        https://pypi.io/packages/source/a/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-tox
BuildRequires:  awscli
BuildRequires:  python3-configobj
BuildRequires:  python3-pygments
BuildRequires:  python3-boto3
BuildRequires:  python3-prompt_toolkit
Requires:       awscli >= 1.10.30
Requires:       python3-configobj >= 5.0.6
Requires:       python3-pygments >= 2.1.3
Requires:       python3-boto3 >= 1.2.1
Requires:       python3-prompt_toolkit >= 1.0.0

%{?python_provide:%python_provide python3-%{name}}
 
%description
The AWS Shell
 
%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%if 0%{?with_tests}
%check
%{__python3} setup.py test
%endif # with_tests

%files
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/aws-shell
%{_bindir}/aws-shell-mkindex

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-7
- Rebuilt for Python 3.7

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat May 28 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.1.1-1
- Update to upstream version
- Remove python2 (RHEL) version since the current version requires
  pygments 2.1.3 which conflists with the version shipped in RHEL
- Simplify the SPEC file

* Thu Dec 31 2015 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.1.0-1
- Update to upstream version

* Tue Dec 29 2015 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.1-1
- Initial package.
